Request multiple distinct values including issue id, parent_id, root_id
Status: New Start date:  
Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Patch is intended to reduce the need for multiple issues requests and provide granular issue tree lookups (parent_id / root_id)

For example, instead of three requests:

/issues.xml?tracker_id=2

/issues.xml?tracker_id=6

/issues.xml?tracker_id=7

 You can do:

/issues.xml?tracker_id=2|6|7

 Changes

Query Model:

Extends integer equality, converts array of values to 'IN' sql.

Issues Controller:

Support 'id', 'root_id', 'parent_id' params.

Related issues:

Related to Redmine - Feature #6118: Filter by parent task or subtasks Closed 2010-08-12

Related to Redmine - Feature #10259: Allow getting a list of issues by ID thr... Closed

Related to Redmine - Feature #10763: REST-API: Please add "parent_issue_id" a... Closed

History

#1 - 2012-05-03 22:01 - Jeffrey Clark

- File restapi-issues-id-param.patch added

#2 - 2012-08-07 11:26 - Markus M

Is this patch going to become part of an official release of redmine?

I assume, with this patch, the following GET will work? http://demo.redmine.org/issues.xml?id=2521|4456

To be consistent with the rest of the API you might want to change the seperator from "|" to ",". That's how the redmine API works for

?inculde=journals,changesets

Related use case: http://www.redmine.org/issues/10259

#3 - 2012-08-07 11:30 - Markus M

- Assignee set to Jean-Philippe Lang

Please consider to add the patch to a release.

#4 - 2012-08-10 09:36 - Hannes Meier

+1
http://demo.redmine.org/issues.xml?id=2521%7C4456
http://www.redmine.org/issues/10259


and would resolve #10763

#5 - 2013-01-09 11:24 - Thomas Lmx

+1

It resolves the Feature #6118 with the API

#6 - 2013-09-04 03:26 - Toshi MARUYAMA

- Related to Feature #6118: Filter by parent task or subtasks added

#7 - 2013-09-04 03:26 - Toshi MARUYAMA

- Related to Feature #10259: Allow getting a list of issues by ID through the API added

#8 - 2013-09-04 03:27 - Toshi MARUYAMA

- Related to Feature #10763: REST-API: Please add "parent_issue_id" as filter for requests to filter out subtickets added

#9 - 2015-06-23 13:02 - Ieuan Jenkins

Markus M wrote:

To be consistent with the rest of the API you might want to change the seperator from "|" to ",". That's how the redmine API works for

?inculde=journals,changesets

 I'd argue this is slightly different and the vertical bar is correct here: it follows similar functionality to the existing API query for Assignee, which would

be something like: issues.json?assigned_to_id=6|7

I'm not sure the restapi-issues-id-param.patch patch is quite appropriate though, it updates the main issues_controller.rb to add in the additional filter

parameters whereas all other filtering is done in the issue_query.rb.

I'm not up to speed on ruby myself but I'll try to take a look and see if it can be implemented there in the same way as the assigned_to_id parameter

does.

Files

restapi-issues-id-param.patch 1.63 KB 2012-05-03 Jeffrey Clark

Powered by TCPDF (www.tcpdf.org)

2025-07-02 2/2

https://www.redmine.org/issues/10763
https://www.redmine.org/issues/6118
https://www.redmine.org/attachments/7565
http://www.tcpdf.org

